{
  ownLib
}:

# Does not work on ubuntu right now, this helps: https://github.com/NixOS/nixpkgs/issues/82959#issuecomment-657306112
# Need to add the env variable on my hikari2
let

  zoom_default = if ownLib.onHikari {} then "133" else "200";

in {
  enable = true;

  settings = {

    fonts = {
      default_size = "16pt";
    };

    zoom = {
      default = "${zoom_default}%";
    };

    url = {
      start_pages = "about:blank";
    };

    tabs = {
      show = "always";
      position = "top";
    };

    hints = {
      border = "#72B3CC";
    };

    colors = {

      statusbar = {
        url = {
          success.https.fg = "#8EB33B";
        };
      };

      tabs = {
        bar.bg = "#000000";
        even.bg = "#000000";
        even.fg = "#D3D7CF";
        odd.bg = "#000000";
        odd.fg = "#D3D7CF";

        selected = {
          even.bg = "#000000";
          even.fg = "#72B3CC";
          odd.bg = "#000000";
          odd.fg = "#72B3CC";
        };
      };

      # Used for "f", showing hints to interact with elements
      hints = {
        fg = "#72B3CC";
        bg = "#2E3436";
      };

      completion = {
        fg = "#D3D7CF";
        even.bg = "#2E3436";
        match.fg = "#72B3CC";

        item = {
          selected = {
            fg = "#D3D7CF";
            bg = "#5D5D5D";
            match.fg = "#72B3CC";
          };
        };

        category = {
          fg = "#D3D7CF";
          bg = "#2E3436";
          border.top = "#2E3436";
          border.bottom = "#2E3436";
        };
      };

      webpage = {
        preferred_color_scheme = "dark";
        darkmode = {
          enabled = true;
        };
      };

    };

    content = {
      autoplay = false;
      # cookies = {
      #   accept = "no-3rdparty";
      # };

    };

  };

  searchEngines = {
    DEFAULT = "https://duckduckgo.com/?q={}";
    php = "https://www.php.net/manual-lookup.php?scope=quickref&pattern={}";
    mdn = "https://developer.mozilla.org/en-US/search?q={}";
    sql = "https://mariadb.com/kb/en/+search?q={}";
    np = "https://search.nixos.org/packages?type=packages&channel=unstable&query={}";
    packagist = "https://packagist.org?query={}";
    youtube = "https://www.youtube.com/results?search_query={}";
  };

}
